' ########################################################################################
' Microsoft Windows
' File: wmsdefs.inc
' Contents: Microsoft Windows Media Technologies
' Copyright (c) 2011 Jos? Roca
' Portions Copyright (c) Microsoft Corporation.
' All Rights Reserved.
' THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER
' EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
' MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ########################################################################################
#IF NOT %DEF(PBX_wmsdefs_PBI)
#DEFINE PBX_wmsdefs_PBI
%EQUATE `WMSDEFS_INC = 1
#INCLUDE ONCE "Legacy/Media/wmsContextNames.inc"
#INCLUDE ONCE "Legacy/Media/wmscatid.inc"
'// WMSServer Defines
%EQUATE `WMS_VER_MAJOR = 9
%EQUATE `WMS_VER_MINOR = 0
'// GUIDS needed in both core and server
$LIBID_WMSServerLib = GUID$("{D71E02C2-41EF-11D2-BF23-00805FBE84A6}")
$CLSID_WMSServer = GUID$("{845FB959-4279-11D2-BF23-00805FBE84A6}")
$CLSID_WMSNamedValues = GUID$("{072AC7C7-BC7D-11D2-B549-006097D2E46A}")
$DIID_DWMSNamedValuesEvents = GUID$("{D75C4175-BC7B-11D2-B549-006097D2E46A}")
$IID_DWMSNamedValuesEvents = GUID$("{D75C4175-BC7B-11D2-B549-006097D2E46A}")
$IID_IWMSNamedValue = GUID$("{18812741-4BEC-11D2-BF25-00805FBE84A6}")
$IID_IWMSNamedValues = GUID$("{18812743-4BEC-11D2-BF25-00805FBE84A6}")
$IID_IWMSDiagnosticEvents = GUID$("{5AC19D61-6057-4431-BE7E-2153FDF91397}")
$IID_IWMSDiagnosticEvent = GUID$("{5AC19D62-6057-4431-BE7E-2153FDF91397}")
$IID_IWMSFileDescriptions = GUID$("{4124B8B2-BCE4-41C8-B49A-DA98C1401D3B}")
$IID_IWMSFileDescription = GUID$("{4124B8B3-BCE4-41C8-B49A-DA98C1401D3B}")
$IID_IWMSPlugins = GUID$("{517758EC-603C-4B98-82C1-4B2FA7787166}")
$IID_IWMSCacheProxyPlugin = GUID$("{517758EB-603C-4B98-82C1-4B2FA7787166}")
$IID_IWMSCacheProxyPlugins = GUID$("{517758EA-603C-4B98-82C1-4B2FA7787166}")
$IID_IWMSCacheItem = GUID$("{517758E8-603C-4B98-82C1-4B2FA7787166}")
$IID_IWMSCacheItems = GUID$("{517758E9-603C-4B98-82C1-4B2FA7787166}")
$IID_IWMSOutgoingDistributionConnection = GUID$("{60F2EE54-DCAA-4CB6-A6D2-12BC23AC9DF0}")
$IID_IWMSOutgoingDistributionConnections = GUID$("{60F2EE53-DCAA-4CB6-A6D2-12BC23AC9DF0}")
$IID_IWMSPlayer = GUID$("{18812736-4BEC-11D2-BF25-00805FBE84A6}")
$IID_IWMSPlayers = GUID$("{18812738-4BEC-11D2-BF25-00805FBE84A6}")
$IID_INSInstalledPlugin = GUID$("{40C238AA-701A-11D2-BF2F-00805FBE84A6}")
$IID_IWMSPublishingPoint = GUID$("{1881273F-4BEC-11D2-BF25-00805FBE84A6}")
$IID_IWMSPublishingPoint2 = GUID$("{770E846B-DE39-4D72-A29F-1B631CA660B4}")
$IID_IWMSOnDemandPublishingPoint = GUID$("{6CA388B3-EAEE-492F-A8D6-8758EFC72D76}")
$IID_IWMSOnDemandPublishingPoint2 = GUID$("{3ABBF960-54E5-40BE-8677-C1758B1239EB}")
$IID_IWMSBroadcastPublishingPoint = GUID$("{6CA388B4-EAEE-492F-A8D6-8758EFC72D76}")
$IID_IWMSBroadcastPublishingPoint2 = GUID$("{C94E9AF0-F12D-4BFF-B01A-1CE6D7F5D303}")
$IID_IWMSPublishingPoints = GUID$("{1881274D-4BEC-11D2-BF25-00805FBE84A6}")
$IID_IWMSServer = GUID$("{845FB958-4279-11D2-BF23-00805FBE84A6}")
$IID_IWMSServerCurrentCounters = GUID$("{18FA53CD-8EB9-4B5F-B750-659D9B96DB9F}")
$IID_IWMSServerPeakCounters = GUID$("{66F2D385-7081-40B9-863C-AFA4E5612CD3}")
$IID_IWMSServerLimits = GUID$("{D06CCFBB-994D-45F8-886E-81E9B7FAEDF1}")
$IID_IWMSServerTotalCounters = GUID$("{DAA2A1BB-BC91-438D-BF33-BDE11D2348D5}")
$IID_IWMSPublishingPointCurrentCounters = GUID$("{638DFA30-1054-48BD-B030-C3DA1FC18154}")
$IID_IWMSPublishingPointPeakCounters = GUID$("{43B20CC5-CA36-4E7B-ADAF-C9C60D00BB0E}")
$IID_IWMSPublishingPointLimits = GUID$("{6CD5BC19-35FD-4501-A953-FEB57AAE9C13}")
$IID_IWMSPublishingPointTotalCounters = GUID$("{240D0C87-309A-4126-BF14-B52A622E95A9}")
$IID_IWMSPlaylist = GUID$("{0EE1F2E7-48EF-11D2-9EFF-006097D2D7CF}")
$IID_IWMSPlugin = GUID$("{517758ED-603C-4B98-82C1-4B2FA7787166}")
$IID_IWMSActiveStream = GUID$("{165FC383-B494-4465-AD08-4A73CEDF8791}")
$IID_IWMSActiveStreams = GUID$("{5F248EA2-C018-466C-9AD7-2086CFB9A5D3}")
$IID_IWMSActiveMedia = GUID$("{9D07EE1C-798F-4A28-85FA-230664650B7C}")
$IID_IWMSCertificate = GUID$("{901447DA-8C5D-48B7-A5F9-D23809322BC0}")
$IID_IWMSCertificates = GUID$("{7B8585BF-9FB8-4132-ACD3-3E61CA4C30DB}")
$IID_IWMSAvailableIPAddresses = GUID$("{3FC1A813-759F-4441-BA48-21889EC8AC20}")
$IID_IWMSRootDirectories = GUID$("{DFC750A9-F846-48BE-87AE-79F851C9CD92}")
$IID_IWMSAnnouncementStreamFormats = GUID$("{55DDB8E9-05A3-4666-9E20-550F94581B06}")
$IID_IWMSServerCurrentCounters2 = GUID$("{3E061553-1A6E-405F-ADFF-6B1BEF58ECFB}")
$IID_IWMSServerPeakCounters2 = GUID$("{F09DBB46-19C0-4FB7-BA22-B38994FBB293}")
$IID_IWMSServerTotalCounters2 = GUID$("{3E10C815-C2CF-4D47-BB11-8251244712F2}")
$IID_IWMSPublishingPointCurrentCounters2 = GUID$("{406AEC46-7318-4860-808C-2F8EB06EC765}")
$IID_IWMSPublishingPointPeakCounters2 = GUID$("{22101970-6BF1-43E3-BFF4-6BF57044FC4C}")
$IID_IWMSPublishingPointTotalCounters2 = GUID$("{FDFABB7F-759A-44DA-8B62-EA848C595158}")
#ENDIF
